Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SetThreadIDDelegate Delegate
See Also Send Feedback

A function which returns a unique identifier pair for a thread of control in a Berkeley DB application.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate DbThreadID SetThreadIDDelegate()

Visual Basic (Declaration)
    Public Delegate Function SetThreadIDDelegate As DbThreadID

Visual C++
    public delegate DbThreadID^ SetThreadIDDelegate()

#### Return Value

A DbThreadID object describing the current thread of control

# See Also

BerkeleyDB Namespace